Subject: bug#58563: 29.0.50; Generic functions and advertised-calling-convention

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Oct 2022 11:35:00 -0400

Lars Ingebrigtsen [2022-10-16 17:16:27] wrote:
> Stefan Monnier <[email-masked]> writes:
>> A defgeneric without a body is *not* a fallback method.
>> It's just a declaration, really.
> Er, right.  Geez, it's been too long since I've written Common Lisp...
> But still, having to use a defgeneric to do `declare's is a bit
> cumbersome.

The need for `declare` is infrequent.
The use of a single `cl-defmethod` is infrequent.

The intersection of the two should be small enough that I don't see
a good reason to care if it's slightly less convenient than ideal.

But I'm only arguing to defend my choice not to implement it: don't let
that stop you from doing the work :-)

        Stefan